# Copyright (c) 2009-2010 Volvox Development Team
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# Author: Konstantin Lepa <konstantin.lepa@gmail.com>
#
# Check GCC version

include(CheckCXXSourceCompiles)

macro(CHECK_GNUCXX_VERSION)
  set(SOURCE "#if __GNUC__ < ${ARGV0} || (__GNUC__ == ${ARGV0} && __GNUC_MINOR__ < ${ARGV1})
#error
#endif
int main() { return 0\; }")
  check_cxx_source_compiles(${SOURCE} GNUCXX_VALID_VERSION)
  if(NOT GNUCXX_VALID_VERSION)
    message(STATUS "WARNING: Supported versions of the gcc compiler: >= ${ARGV0}.${ARGV1}")
  endif(NOT GNUCXX_VALID_VERSION)
endmacro(CHECK_GNUCXX_VERSION)
